"""JSON Schema models library."""

from importlib import metadata

from jsonschema_models.models import (
    ArraySchema,
    BooleanSchema,
    ContentSchema,
    DateSchema,
    DateTimeSchema,
    DurationSchema,
    EmailSchema,
    FormatAnnotation,
    FormatType,
    HostnameSchema,
    IdnEmailSchema,
    IdnHostnameSchema,
    IntegerSchema,
    IPv4Schema,
    IPv6Schema,
    IRIReferenceSchema,
    IRISchema,
    JsonPointerSchema,
    NullSchema,
    NumberSchema,
    ObjectSchema,
    Reference,
    RegexSchema,
    RelativeJsonPointerSchema,
    Schema,
    SchemaType,
    StringSchema,
    TimeSchema,
    URIReferenceSchema,
    URISchema,
    URITemplateSchema,
    UuidSchema,
)

__all__ = [
    'ArraySchema',
    'BooleanSchema',
    'ContentSchema',
    'DateSchema',
    'DateTimeSchema',
    'DurationSchema',
    'EmailSchema',
    'FormatAnnotation',
    'FormatType',
    'HostnameSchema',
    'IdnEmailSchema',
    'IdnHostnameSchema',
    'IntegerSchema',
    'IRIReferenceSchema',
    'IRISchema',
    'IPv4Schema',
    'IPv6Schema',
    'JsonPointerSchema',
    'NullSchema',
    'NumberSchema',
    'ObjectSchema',
    'Reference',
    'RegexSchema',
    'RelativeJsonPointerSchema',
    'Schema',
    'SchemaType',
    'StringSchema',
    'TimeSchema',
    'URIReferenceSchema',
    'URISchema',
    'URITemplateSchema',
    'UuidSchema',
    'version',
]

try:
    version = metadata.version('jsonschema-models')
except metadata.PackageNotFoundError:  # pragma: nocover
    version = '0.0.0.dev0'  # Default development version
